Skip to content
GETAPI key

Track an air waybill

GETapi.aircargomcp.com/track/{awb}

One 11-digit AWB in; status, route, flights, pieces and weight out, with Cargo-IMP milestones normalised to a single timeline.

Path parameters

awbstringrequired

Air waybill, any format. The 3-digit prefix identifies the airline.

Response fields

Derived from the example response.

dataobject
data.awbstring
data.airline_iatastring
data.airline_namestring
data.statusstring
data.originstring
data.destinationstring
data.piecesnumber
data.weight_kgnumber
data.flight_numberstring
data.etastring
data.eta_is_actualboolean
data.eventsobject[]
data.events[].codestring
data.events[].namestring
data.events[].stationstring
data.events[].atstring
curl https://api.aircargomcp.com/track/020-12345675 \
  -H "Authorization: Bearer tmcp_YOUR_API_KEY"
Response
{
  "data": {
    "awb": "020-12345675",
    "airline_iata": "LH",
    "airline_name": "Lufthansa Cargo",
    "status": "In transit",
    "origin": "FRA", "destination": "JFK",
    "pieces": 4, "weight_kg": 512,
    "flight_number": "LH8160",
    "eta": "2026-08-05T14:20:00Z",
    "eta_is_actual": false,
    "events": [
      { "code": "RCS", "name": "Received from shipper",
        "station": "FRA", "at": "2026-08-03T08:00:00Z" }
    ]
  }
}